from googletrans import Translator

def translate_text_by_country_code(text,country_code):
    country_languages = {
    "af": "Pashto",
    "ax": "Swedish",
    "al": "Albanian",
    "dz": "Arabic",
    "as": "Samoan",
    "ad": "Catalan",
    "ao": "Portuguese",
    "ai": "English",
    "ag": "English",
    "ar": "Spanish",
    "am": "Armenian",
    "aw": "Dutch",
    "au": "English",
    "at": "German",
    "az": "Azerbaijani",
    "bs": "English",
    "bh": "Arabic",
    "bd": "Bengali",
    "bb": "English",
    "by": "Belarusian",
    "be": "Dutch",
    "bz": "English",
    "bj": "French",
    "bm": "English",
    "bt": "Dzongkha",
    "bo": "Spanish",
    "ba": "Bosnian",
    "bw": "English",
    "bv": "Norwegian",
    "br": "Portuguese",
    "io": "English",
    "bn": "Malay",
    "bg": "Bulgarian",
    "bf": "French",
    "bi": "Kirundi",
    "kh": "Khmer",
    "cm": "French",
    "ca": "English",
    "cv": "Portuguese",
    "ky": "English",
    "cf": "French",
    "td": "French",
    "cl": "Spanish",
    "cn": "Mandarin Chinese",
    "cx": "English",
    "cc": "English",
    "co": "Spanish",
    "km": "Arabic",
    "cg": "French",
    "cd": "French",
    "ck": "English",
    "cr": "Spanish",
    "ci": "French",
    "hr": "Croatian",
    "cu": "Spanish",
    "cy": "Greek",
    "cz": "Czech",
    "dk": "Danish",
    "dj": "Arabic",
    "dm": "English",
    "do": "Spanish",
    "ec": "Spanish",
    "eg": "Arabic",
    "sv": "Spanish",
    "gq": "French",
    "er": "Tigrinya",
    "ee": "Estonian",
    "et": "Amharic",
    "fk": "English",
    "fo": "Faroese",
    "fj": "English",
    "fi": "Finnish",
    "fr": "French",
    "gf": "French",
    "pf": "French",
    "tf": "French",
    "ga": "French",
    "gm": "English",
    "ge": "Georgian",
    "de": "German",
    "gh": "English",
    "gi": "English",
    "gr": "Greek",
    "gl": "Greenlandic",
    "gd": "English",
    "gp": "French",
    "gu": "English",
    "gt": "Spanish",
    "gg": "English",
    "gn": "French",
    "gw": "Portuguese",
    "gy": "English",
    "ht": "French",
    "hm": "None",
    "va": "Italian",
    "hn": "Spanish",
    "hk": "Chinese",
    "hu": "Hungarian",
    "is": "Icelandic",
    "in": "Hindi",
    "id": "Indonesian",
    "ir": "Persian",
    "iq": "Arabic",
    "ie": "Irish",
    "im": "English",
    "il": "Hebrew",
    "it": "Italian",
    "jm": "English",
    "jp": "Japanese",
    "je": "English",
    "jo": "Arabic",
    "kz": "Kazakh",
    "ke": "Swahili",
    "ki": "English",
    "kp": "Korean",
    "kr": "Korean",
    "kw": "Arabic",
    "kg": "Kyrgyz",
    "la": "Lao",
    "lv": "Latvian",
    "lb": "Arabic",
    "ls": "Sotho",
    "lr": "English",
    "ly": "Arabic",
    "li": "German",
    "lt": "Lithuanian",
    "lu": "French",
    "mo": "Chinese",
    "mk": "Macedonian",
    "mg": "Malagasy",
    "mw": "English",
    "my": "Malay",
    "mv": "Dhivehi",
    "ml": "French",
    "mt": "Maltese",
    "mh": "English",
    "mq": "French",
    "mr": "Arabic",
    "mu": "English",
    "yt": "French",
    "mx": "Spanish",
    "fm": "English",
    "md": "Moldovan",
    "mc": "French",
    "mn": "Mongolian",
    "me": "Montenegrin",
    "ms": "English",
    "ma": "Arabic",
    "mz": "Portuguese",
    "mm": "Burmese",
    "na": "English",
    "nr": "Nauru",
    "np": "Nepali",
    "nl": "Dutch",
    "nc": "French",
    "nz": "English",
    "ni": "Spanish",
    "ne": "French",
    "ng": "English",
    "nu": "Niuean",
    "nf": "English",
    "mp": "English",
    "no": "Norwegian",
    "om": "Arabic",
    "pk": "Urdu",
    "pw": "English",
    "ps": "Arabic",
    "pa": "Spanish",
    "pg": "English",
    "py": "Spanish",
    "pe": "Spanish",
    "ph": "Filipino",
    "pn": "English",
    "pl": "Polish",
    "pt": "Portuguese",
    "pr": "Spanish",
    "qa": "Arabic",
    "re": "French",
    "ro": "Romanian",
    "ru": "Russian",
    "rw": "Kinyarwanda",
    "bl": "French",
    "sh": "English",
    "kn": "English",
    "lc": "English",
    "mf": "French",
    "pm": "French",
    "vc": "English",
    "ws": "Samoan",
    "sm": "Italian",
    "st": "Portuguese",
    "sa": "Arabic",
    "sn": "French",
    "rs": "Serbian",
    "sc": "English",
    "sl": "English",
    "sg": "English",
    "sx": "Dutch",
    "sk": "Slovak",
    "si": "Slovenian",
    "sb": "English",
    "so": "Somali",
    "za": "Afrikaans",
    "gs": "English",
    "ss": "English",
    "es": "Spanish",
    "lk": "Sinhala",
    "sd": "Arabic",
    "sr": "Dutch",
    "sj": "Norwegian",
    "sz": "Swazi",
    "se": "Swedish",
    "ch": "Swedish",
    "sy": "Arabic",
    "tw": "Chinese",
    "tj": "Tajik",
    "tz": "Swahili",
    "th": "Thai",
    "tl": "Portuguese",
    "tg": "French",
    "tk": "English",
    "to": "Tongan",
    "tt": "English",
    "tn": "Arabic",
    "tr": "Turkish",
    "tm": "Turkmen",
    "tc": "English",
    "tv": "Tuvaluan",
    "ug": "English",
    "ua": "Ukrainian",
    "ae": "Arabic",
    "gb": "English",
    "us": "English",
    "um": "English",
    "uy": "Spanish",
    "uz": "Uzbek",
    "vu": "French",
    "ve": "Spanish",
    "vn": "Vietnamese",
    "vg": "English",
    "vi": "English",
    "wf": "French",
    "eh": "Arabic",
    "ye": "Arabic",
    "zm": "English",
    "zw": "English"
}
    country_code = country_code.lower()
    language = country_languages.get(country_code)
    translator = Translator(service_urls=['translate.google.com'])
    translated_text = translator.translate(text, dest=language).text
    return translated_text
  
